<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model
{
    use HasFactory;

    use SoftDeletes;

    protected $fillable = [
        "name",
        "slug",
        "image"
    ];

    public function getRouteKeyName()
    {
        return 'slug';
    }

    public function packages()
    {
        return $this->hasMany(Package::class, 'category_id');
    }
}
